Bug 2321 - Проблема с Vmware. Невозможно использовать SCSI сканнер из vmware.
: Проблема с Vmware. Невозможно использовать SCSI сканнер из vmware.
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-up)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-04 22:26 by
Modified: 2008-06-14 17:15 (History)


Attachments
2321-err.jpg (92.81 KB, image/jpeg)
2003-03-04 22:28, Vyacheslav Dikonov
no flags Details
2321-err2.jpg (21.83 KB, image/jpeg)
2003-03-04 22:28, Vyacheslav Dikonov
no flags Details
Вывод dmesg после загрузки (15.25 KB, text/plain)
2004-05-08 13:25, Vyacheslav Dikonov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-04 22:26:28
Имеется:
 - 2.4.20-alt4-up (из без 5 минут Мастера 2.2)
 - SCSI контроллер Tekram DC-310 (sym53c8xx)
 - SCSI сканнер Mustek 12000SP Plus (нормально работает с sane после небольшого шаманства в связи с глюком в стандартной настройке sane)
 - Раз и навсегда установленная Win2000 в виртуальной машине, в которой установлено всё, чего нет в Линуксе, а обойтись проблематично. (Образ диска достаётся при необходимости с CD и гарантированно содержит правильные настройки). 
 - Vmware 3.2.0 build 2230

С ядром из Мастера 2.0 FR прекрасно сканировал из-под vmware. C текущей версией происходит искажение данных получаемых от SCSI устройства. Cм. картинки. На первой - сканирование в цветном режиме 24 бита, а на второй - в черно-белом 1 бит. 

 
---

---
Я давно снёс отдельно форточки, но мне бывает крайне необходимо использовать мощные OCR (FineReader). Эта ошибка блокирует работу программ такого класса.

Придётся делать откат на 2.4.18...
------- Comment #1 From 2004-05-05 15:54:39 -------
перевешено на нынешнего мантейнера 
------- Comment #2 From 2004-05-05 17:28:22 -------
Древняя ошибка... Проявляется ли эта проблема на свежих ядрах?
------- Comment #3 From 2004-05-06 18:59:38 -------
uname -r
2.4.22-std-up-alt15

В Vmware постоянно получаю "Сканер не подключен. Проверьте кабель". Sane сканирует. 

Прибавилась новая проблема - перестали писаться CD из Vmware. Это очень скверно,
так как cdrecord+mkisofs попросту не умеют/не позволяют делать некоторые вещи
(например управлять физическим размещением файлов на диске). Процесс идет
нормально, но где-то на 1/3 диска вылетают ошибки SCSI и данные не передаются.
------- Comment #4 From 2004-05-06 19:17:02 -------
А какой именно драйвер используется - sym53c8xx или sym53c8xx-old?

Что наблюдается в выводе dmesg после этих ошибок?  И вообще покажите полный
вывод dmesg после загрузки.
------- Comment #5 From 2004-05-08 13:25:00 -------
Created an attachment (id=403) [details]
Вывод dmesg после загрузки
------- Comment #6 From 2004-05-08 13:27:34 -------
Посылаю вывод dmesg после загрузки.
Драйвер SCSI контроллера в modules.conf прописан так:

#SCSI Adapter
alias block-major-11 scsi_hostadapter
alias scsi_hostadapter sym53c8xx

Далее у меня написано так:

# SCSI Emulation
post-install ide-scsi modprobe sr_mod
options ide-cd ignore=hdc
options ide-cd ignore=hdd
------- Comment #7 From 2004-06-03 16:48:34 -------
Это ещё актуально для последних ядер? 
 
------- Comment #8 From 2004-06-03 17:08:56 -------
Всё-таки возникают ли какие-либо сообщения ядра при проявлении этих ошибок в
vmware?
------- Comment #9 From 2005-10-13 11:19:06 -------
Что-нибудь изменилось? 
------- Comment #10 From 2006-04-30 16:58:59 -------
Слав, а на 2.6?
------- Comment #11 From 2006-05-20 22:41:48 -------
Мой сканер переехал на другую машину с раз и навсегда замороженным старым
Сизифом. Пока сказать мне нечего. Надеяться, что на кривульке 2.6.х все
заработает я бы не рискнул.
------- Comment #12 From 2007-05-24 10:25:06 -------
(In reply to comment #11)
> Мой сканер переехал на другую машину с раз и навсегда замороженным старым
> Сизифом. Пока сказать мне нечего.
А с текущими (2.6.18) не проверял часом?
------- Comment #13 From 2008-06-14 17:15:49 -------
Для kernel-image-std-up 2.4.x это определённо WONTFIX.  Старый SCSI-сканер в
офисе есть, вот только пока за ненадобностью не знаю, он вообще работает или
нет.